Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 733478 - <net-analyzer/snmptt-1.4.1: Security issue in EXEC / PREXEC / unknown_trap_exec allowing possible code execution
Summary: <net-analyzer/snmptt-1.4.1: Security issue in EXEC / PREXEC / unknown_trap_ex...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: http://www.snmptt.org/changelog.shtml
Whiteboard: B1 [glsa+]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-22 07:04 UTC by Jeroen Roovers
Modified: 2020-07-31 17:13 UTC (History)
1 user (show)

See Also:
Package list:
=net-analyzer/snmptt-1.4.2 x86
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2020-07-22 07:04:27 UTC
v1.4.1 - July 21st, 2020
* Fixed a security issue with EXEC / PREXEC / unknown_trap_exec that could allow malicious shell code to be executed.
* Fixed a bug with EXEC / PREXEC / unknown_trap_exec that caused commands to be run as root instead of the user defined in daemon_uid.
* Added the snmptt.ini option daemon_gid to allow the gid to be set in addition to the uid.  Defaults to 'nobody' if not defined.
Comment 1 Larry the Git Cow gentoo-dev 2020-07-22 07:04:56 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2e5927463dcd8e1cb8fb49e14cb9636631a8039

commit b2e5927463dcd8e1cb8fb49e14cb9636631a8039
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-07-22 06:55:06 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-07-22 07:04:50 +0000

    net-analyzer/snmptt: Version 1.4.1
    
    Package-Manager: Portage-3.0.0, Repoman-2.3.23
    Bug: https://bugs.gentoo.org/733478
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=433443
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/snmptt/Manifest            |  1 +
 net-analyzer/snmptt/snmptt-1.4.1.ebuild | 60 +++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)
Comment 2 Sam James gentoo-dev Security 2020-07-25 00:47:06 UTC
x86 stable. Please cleanup.
Comment 3 Larry the Git Cow gentoo-dev 2020-07-25 09:38:21 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec104869262c49683a690bfa0b2409c48afe2a1e

commit ec104869262c49683a690bfa0b2409c48afe2a1e
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-07-25 09:36:58 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-07-25 09:38:16 +0000

    net-analyzer/snmptt: Old
    
    Package-Manager: Portage-3.0.0, Repoman-2.3.23
    Bug: https://bugs.gentoo.org/733478
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/snmptt/Manifest          |  1 -
 net-analyzer/snmptt/snmptt-1.4.ebuild | 52 -----------------------------------
 2 files changed, 53 deletions(-)
Comment 4 Sam James gentoo-dev Security 2020-07-26 00:44:32 UTC
We need to stabilise 1.4.2 instead. 1.4.1 has been yanked due to a problem and the maintainer put out 1.4.2 shortly after instead.
Comment 5 Sam James gentoo-dev Security 2020-07-26 01:11:39 UTC
x86 stable. I guess we should cleanup again in case the problem was an incomplete fix.
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2020-07-31 17:13:44 UTC
This issue was resolved and addressed in
 GLSA 202007-63 at https://security.gentoo.org/glsa/202007-63
by GLSA coordinator Sam James (sam_c).